> ## Documentation Index
> Fetch the complete documentation index at: https://developer.karmacheck.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get case configuration

> Returns the service configurations and contact information for a case. For information on how to create or update configuration options for a case, see [Create case](paths/~1case~1create/post) or [Add to order](paths/~1case~1id~1{caseId}~1add~1services/post).



## OpenAPI

````yaml /background-check-api/api-reference/openapi.json get /config/case/id/{caseId}
openapi: 3.1.0
info:
  title: KarmaCheck API
  description: >-
    All requests to the KarmaCheck API require a JSON Web Token (JWT) in the
    Authorization header. For an overview of the API and its authentication
    method, refer to the following topics:


    - [API basics](docs/overview/apis/api-overview.md)

    - [Authentication](docs/overview/apis/authentication.md)

    - [Environments](docs/overview/apis/environments.md)

    - [Status codes and errors](docs/overview/apis/errors.md)
  version: '1.0'
  contact:
    name: KarmaCheck
    email: customersuccess@karmacheck.com
servers:
  - description: Stage
    url: https://api-stage.karmacheck.io
  - description: Prod
    url: https://api.karmacheck.io
security:
  - JWT: []
tags:
  - name: Authentication
  - name: Cases
  - name: Candidate onboarding
  - name: Secure documents
  - name: Packages
  - name: Services
  - name: Users
  - name: Companies
  - name: Partner integrations
paths:
  /config/case/id/{caseId}:
    parameters:
      - schema:
          type: string
        name: caseId
        in: path
        required: true
        description: The ID of the case for which to retrieve configurations.
    get:
      tags:
        - Cases
      summary: Get case configuration
      description: >-
        Returns the service configurations and contact information for a case.
        For information on how to create or update configuration options for a
        case, see [Create case](paths/~1case~1create/post) or [Add to
        order](paths/~1case~1id~1{caseId}~1add~1services/post).
      operationId: get-config-case-id-caseId
      responses:
        '200':
          description: >-
            The response can include any combination of the objects described
            below. The structure of the response is determined by:

            - Any points of contact that were added to the case.

            - All screenings from the package that was used to create the case,
            regardless of whether those screenings were ordered for the case.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Configuration'
              examples: {}
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '500':
          description: Internal Server Error
components:
  schemas:
    Configuration:
      title: Configuration
      type: object
      properties:
        contacts:
          type: array
          description: A list of people to contact about the case.
          items:
            $ref: '#/components/schemas/Contact'
        serviceConfigs:
          $ref: '#/components/schemas/ServiceConfigs'
        diluteDrugPolicy:
          $ref: '#/components/schemas/ConfigDiluteDrug'
        aliasNameConfiguration:
          $ref: '#/components/schemas/ConfigAliasName'
        lostOrIncompleteOHSDrugPolicy:
          $ref: '#/components/schemas/ConfigLostOrIncompleteOHSDrug'
        ohsDrugPassportExpirationPolicy:
          $ref: '#/components/schemas/ConfigOhsDrugPassportExpiration'
      description: >-
        The [configuration](docs/reference/order-configuration.md) for a case or
        package.
    Contact:
      title: Contact
      type: object
      description: Details of a contact.
      examples:
        - name: Dana R.
          type: default
          email: defaultcontact@example.com
          phone: 800-555-0150
        - name: Alex P.
          type: escalation
          email: escalationcontact@example.com
      required:
        - type
        - email
      properties:
        name:
          type: string
          maxLength: 255
          description: The name of the contact.
        type:
          type: string
          enum:
            - default
            - escalation
          description: The role of the contact.
        email:
          type: string
          description: The email address of the contact.
          format: email
        phone:
          type: string
          maxLength: 20
          description: The phone number of the contact.
    ServiceConfigs:
      title: ServiceConfigs
      description: Services with configuration options.
      type: object
      properties:
        85307784-1f84-471a-8596-c8ea088c3a62:
          $ref: '#/components/schemas/ConfigEduVerification'
        9ac65633-b4c4-4062-875c-3556db9d2a08:
          $ref: '#/components/schemas/ConfigEmpVerification'
        service-employment-income:
          $ref: '#/components/schemas/ConfigEmpIncomeVerification'
        service-ohs-tb-quantiferon-gold:
          $ref: '#/components/schemas/ConfigQuantiferon'
        service-ohs-tb-tspot-test:
          $ref: '#/components/schemas/ConfigTspot'
    ConfigDiluteDrug:
      title: DiluteDrugPolicy
      type: object
      description: >-
        The configuration that determines how to handle dilute samples in drug
        screenings.
      required:
        - rawValue
        - appliesTo
        - pillLabel
        - valueDescription
        - configDescription
        - valueDisplayLabel
        - configDisplayLabel
      properties:
        rawValue:
          $ref: '#/components/schemas/ConfigValuesDrugPolicy'
          description: >-
            The configuration setting that specifies if and how screenings
            should be reordered.
        appliesTo:
          type: object
          description: The services that the configuration applies to.
          required:
            - serviceIds
            - serviceCategoryIds
            - serviceSubCategoryIds
          properties:
            serviceIds:
              type: array
              description: A list of applicable services by ID.
              items:
                type: string
              default: []
            serviceCategoryIds:
              type: array
              description: A list of applicable service categories by ID.
              items:
                type: string
              default: []
            serviceSubCategoryIds:
              type: array
              description: A list of applicable service subcategories by ID.
              items:
                type: string
                default: service-subcat-drug
        pillLabel:
          type: string
          description: >-
            The label that's displayed to KarmaCheck dashboard users to indicate
            the configuration setting for the screening.
          example: ${value}
        valueDescription:
          type: string
          description: A description of the configuration setting.
          example: Refer to company settings.
        configDescription:
          type: string
          description: >-
            A description that explains what the configuration does. This
            description is displayed to KarmaCheck dashboard users.
          example: Specifies next steps when a Drug sample is dilute.
        valueDisplayLabel:
          type: string
          description: >-
            A description of the configuration setting that's displayed to
            KarmaCheck dashboard users.
          example: Refer To Company Settings
        configDisplayLabel:
          type: string
          description: >-
            The configuration label that's displayed to KarmaCheck dashboard
            users.
          example: Dilute Drug Policy
    ConfigAliasName:
      title: AliasNameConfiguration
      type: object
      description: >-
        The configuration that determines how to run aliases for criminal
        screenings.
      required:
        - rawValue
        - appliesTo
        - pillLabel
        - valueDescription
        - configDescription
        - valueDisplayLabel
        - configDisplayLabel
      properties:
        rawValue:
          $ref: '#/components/schemas/ConfigValuesAlias'
          description: >-
            The configuration setting that specifies if and how aliases are
            applied to screenings.
        appliesTo:
          type: object
          description: The services that the configuration applies to.
          required:
            - serviceIds
            - serviceCategoryIds
            - serviceSubCategoryIds
          properties:
            serviceIds:
              type: array
              description: A list of applicable services by ID.
              items:
                type: string
              default: []
            serviceCategoryIds:
              type: array
              description: A list of applicable service categories by ID.
              items:
                type: string
                default: service-cat-criminal
            serviceSubCategoryIds:
              type: array
              description: A list of applicable service subcategories by ID.
              items:
                type: string
              default: []
        pillLabel:
          type: string
          description: >-
            The label that's displayed to KarmaCheck dashboard users to indicate
            the configuration setting for the screening.
          example: ${value}
        valueDescription:
          type: string
          description: A description of the configuration setting.
          example: No aliases.
        configDescription:
          type: string
          description: >-
            A description that explains what the configuration does. This
            description is displayed to KarmaCheck dashboard users.
          example: Specifies the method used to select aliases.
        valueDisplayLabel:
          type: string
          description: >-
            A description of the configuration setting that's displayed to
            KarmaCheck dashboard users.
          example: No Aliases
        configDisplayLabel:
          type: string
          description: >-
            The configuration label that's displayed to KarmaCheck dashboard
            users.
          example: Alias Name Configuration
    ConfigLostOrIncompleteOHSDrug:
      title: LostOrIncompleteOHSDrugPolicy
      type: object
      description: >-
        The configuration that determines how to handle lost or incomplete
        samples for OHS and drug screenings.
      required:
        - rawValue
        - appliesTo
        - pillLabel
        - valueDescription
        - configDescription
        - valueDisplayLabel
        - configDisplayLabel
      properties:
        rawValue:
          $ref: '#/components/schemas/ConfigValuesDrugPolicy'
          description: >-
            The configuration setting that specifies if and how screenings
            should be reordered.
        appliesTo:
          type: object
          description: The services that the configuration applies to.
          required:
            - serviceIds
            - serviceCategoryIds
            - serviceSubCategoryIds
          properties:
            serviceIds:
              type: array
              description: A list of applicable services by ID.
              items:
                type: string
              default: []
            serviceCategoryIds:
              type: array
              description: A list of applicable service categories by ID.
              items:
                type: string
                default: service-cat-ohs
            serviceSubCategoryIds:
              type: array
              description: A list of applicable service subcategories by ID.
              items:
                type: string
              default: []
        pillLabel:
          type: string
          description: >-
            The label that's displayed to KarmaCheck dashboard users to indicate
            the configuration setting for the screening.
          example: ${value}
        valueDescription:
          type: string
          description: A description of the configuration setting.
          example: Refer to company settings.
        configDescription:
          type: string
          description: >-
            A description that explains what the configuration does. This
            description is displayed to KarmaCheck dashboard users.
          example: Specifies next steps when an OHS/Drug sample is lost or incomplete.
        valueDisplayLabel:
          type: string
          description: >-
            A description of the configuration setting that's displayed to
            KarmaCheck dashboard users.
          example: Refer To Company Settings
        configDisplayLabel:
          type: string
          description: >-
            The configuration label that's displayed to KarmaCheck dashboard
            users.
          example: Lost or Incomplete OHS/Drug Policy
    ConfigOhsDrugPassportExpiration:
      title: OhsDrugPassportExpirationPolicy
      type: object
      description: >-
        The configuration that determines how to handle expired ePassports for
        OHS and drug screenings.
      required:
        - rawValue
        - appliesTo
        - pillLabel
        - valueDescription
        - configDescription
        - valueDisplayLabel
        - configDisplayLabel
      properties:
        rawValue:
          $ref: '#/components/schemas/ConfigValuesOhsDrugPassportExpirationPolicy'
          description: >-
            The configuration setting that specifies if and how ePassports
            should be reissued.
        appliesTo:
          type: object
          description: The services that the configuration applies to.
          required:
            - serviceIds
            - serviceCategoryIds
            - serviceSubCategoryIds
          properties:
            serviceIds:
              type: array
              description: A list of applicable services by ID.
              items:
                type: string
              default: []
            serviceCategoryIds:
              type: array
              description: A list of applicable service categories by ID.
              items:
                type: string
                default: service-cat-ohs
            serviceSubCategoryIds:
              type: array
              description: A list of applicable service subcategories by ID.
              items:
                type: string
              default: []
        pillLabel:
          type: string
          description: >-
            The label that's displayed to KarmaCheck dashboard users to indicate
            the configuration setting for the screening.
          example: ${value}
        valueDescription:
          type: string
          description: A description of the configuration setting.
          example: Refer to company settings.
        configDescription:
          type: string
          description: >-
            A description that explains what the configuration does. This
            description is displayed to KarmaCheck dashboard users.
          example: Specifies next steps when an OHS/Drug ePassport expires.
        valueDisplayLabel:
          type: string
          description: >-
            A description of the configuration setting that's displayed to
            KarmaCheck dashboard users.
          example: Refer To Company Settings
        configDisplayLabel:
          type: string
          description: >-
            The configuration label that's displayed to KarmaCheck dashboard
            users.
          example: OHS/Drug Passport Expiration Policy
    ConfigEduVerification:
      title: EducationVerification
      type: object
      description: The configuration for education verification.
      required:
        - verificationMethod
      properties:
        verificationMethod:
          type: object
          description: The verification method that's configured for the screening.
          required:
            - rawValue
            - pillLabel
            - valueDescription
            - configDescription
            - valueDisplayLabel
            - configDisplayLabel
          properties:
            rawValue:
              $ref: '#/components/schemas/ConfigValuesEducationVerification'
              description: >-
                The configuration setting that specifies acceptable forms of
                verification.
            pillLabel:
              type: string
              description: >-
                The label that's displayed to KarmaCheck dashboard users to
                indicate the configuration setting for the screening.
              example: ${value}
            valueDescription:
              type: string
              description: A description of the configuration setting.
              example: Documents acceptable.
            configDescription:
              type: string
              description: >-
                A description that explains what the configuration does. This
                description is displayed to KarmaCheck dashboard users.
              example: Specifies the verification method used for this service.
            valueDisplayLabel:
              type: string
              description: >-
                A description of the configuration setting that's displayed to
                KarmaCheck dashboard users.
              example: Documents Acceptable
            configDisplayLabel:
              type: string
              description: >-
                The configuration label that's displayed to KarmaCheck dashboard
                users.
              example: Verification Method
    ConfigEmpVerification:
      title: EmploymentVerification
      type: object
      description: The configuration for employment verification.
      required:
        - verificationMethod
      properties:
        verificationMethod:
          type: object
          description: The verification method that's configured for the screening.
          required:
            - rawValue
            - pillLabel
            - valueDescription
            - configDescription
            - valueDisplayLabel
            - configDisplayLabel
          properties:
            rawValue:
              $ref: '#/components/schemas/ConfigValuesEmploymentVerification'
              description: >-
                The configuration setting that specifies acceptable forms of
                verification.
            pillLabel:
              type: string
              description: >-
                The label that's displayed to KarmaCheck dashboard users to
                indicate the configuration setting for the screening.
              example: ${value}
            valueDescription:
              type: string
              description: A description of the configuration setting.
              example: Documents acceptable.
            configDescription:
              type: string
              description: >-
                A description that explains what the configuration does. This
                description is displayed to KarmaCheck dashboard users.
              example: Specifies the verification method used for this service.
            valueDisplayLabel:
              type: string
              description: >-
                A description of the configuration setting that's displayed to
                KarmaCheck dashboard users.
              example: Documents Acceptable
            configDisplayLabel:
              type: string
              description: >-
                The configuration label that's displayed to KarmaCheck dashboard
                users.
              example: Verification Method
    ConfigEmpIncomeVerification:
      title: EmploymentIncomeVerification
      type: object
      description: The configuration for employment income verification.
      required:
        - verificationMethod
      properties:
        verificationMethod:
          type: object
          description: The verification method that's configured for the screening.
          required:
            - rawValue
            - pillLabel
            - valueDescription
            - configDescription
            - valueDisplayLabel
            - configDisplayLabel
          properties:
            rawValue:
              $ref: '#/components/schemas/ConfigValuesEmploymentVerification'
              description: >-
                The configuration setting that specifies acceptable forms of
                verification.
            pillLabel:
              type: string
              description: >-
                The label that's displayed to KarmaCheck dashboard users to
                indicate the configuration setting for the screening.
              example: ${value}
            valueDescription:
              type: string
              description: A description of the configuration setting.
              example: Documents acceptable.
            configDescription:
              type: string
              description: >-
                A description that explains what the configuration does. This
                description is displayed to KarmaCheck dashboard users.
              example: Specifies the verification method used for this service.
            valueDisplayLabel:
              type: string
              description: >-
                A description of the configuration setting that's displayed to
                KarmaCheck dashboard users.
              example: Documents Acceptable
            configDisplayLabel:
              type: string
              description: >-
                The configuration label that's displayed to KarmaCheck dashboard
                users.
              example: Verification Method
    ConfigQuantiferon:
      title: Quantiferon
      type: object
      description: The configuration for Quantiferon testing.
      required:
        - substitutionPolicy
      properties:
        substitutionPolicy:
          type: object
          description: The substitution policy that's configured for the test.
          required:
            - rawValue
            - pillLabel
            - valueDescription
            - configDescription
            - valueDisplayLabel
            - configDisplayLabel
          properties:
            rawValue:
              $ref: '#/components/schemas/ConfigValuesQuantiferon'
              description: >-
                The configuration setting that specifies whether the test can be
                replaced.
            pillLabel:
              type: string
              description: >-
                The label that's displayed to KarmaCheck dashboard users to
                indicate the configuration setting for the screening.
              example: ${value}
            valueDescription:
              type: string
              description: A description of the configuration setting.
              example: Refer to company settings.
            configDescription:
              type: string
              description: >-
                A description that explains what the configuration does. This
                description is displayed to KarmaCheck dashboard users.
              example: >-
                Specifies if T-Spot can be ordered in place of Quantiferon Gold
                when Quantiferon Gold is unavailable.
            valueDisplayLabel:
              type: string
              description: >-
                A description of the configuration setting that's displayed to
                KarmaCheck dashboard users.
              example: Refer To Company Settings
            configDisplayLabel:
              type: string
              description: >-
                The configuration label that's displayed to KarmaCheck dashboard
                users.
              example: Substitution Policy
    ConfigTspot:
      title: Tspot
      type: object
      description: The configuration for T-Spot testing.
      required:
        - substitutionPolicy
      properties:
        substitutionPolicy:
          type: object
          description: The substitution policy that's configured for the test.
          required:
            - rawValue
            - pillLabel
            - valueDescription
            - configDescription
            - valueDisplayLabel
            - configDisplayLabel
          properties:
            rawValue:
              $ref: '#/components/schemas/ConfigValuesTspot'
              description: >-
                The configuration setting that specifies whether the test can be
                replaced.
            pillLabel:
              type: string
              description: >-
                The label that's displayed to KarmaCheck dashboard users to
                indicate the configuration setting for the screening.
              example: ${value}
            valueDescription:
              type: string
              description: A description of the configuration setting.
              example: Refer to company settings.
            configDescription:
              type: string
              description: >-
                A description that explains what the configuration does. This
                description is displayed to KarmaCheck dashboard users.
              example: >-
                Specifies if Quantiferon Gold can be ordered in place of T-Spot
                when T-Spot is unavailable.
            valueDisplayLabel:
              type: string
              description: >-
                A description of the configuration setting that's displayed to
                KarmaCheck dashboard users.
              example: Refer To Company Settings
            configDisplayLabel:
              type: string
              description: >-
                The configuration label that's displayed to KarmaCheck dashboard
                users.
              example: Substitution Policy
    ConfigValuesDrugPolicy:
      title: ConfigValuesDrugPolicy
      type: string
      enum:
        - company-default
        - reorder
        - reorder-and-contact
        - reorder-once-contact
        - do-not-reorder
      description: The configuration options for a drug policy.
      default: company-default
    ConfigValuesAlias:
      title: ConfigValuesAlias
      type: string
      enum:
        - no-alias
        - alias-all
        - alias-all+hits-only
        - alias-mnv
        - alias-mnv+hits-only
      description: The options for an alias configuration.
      default: no-alias
    ConfigValuesOhsDrugPassportExpirationPolicy:
      title: ConfigValuesOhsDrugPassportExpirationPolicy
      type: string
      enum:
        - company-default
        - reissue
        - reissue-and-contact
        - reissue-once-contact
        - contact-customer
        - do-not-reissue
      description: The configuration options for an ePassport expiration policy.
      default: company-default
    ConfigValuesEducationVerification:
      title: ConfigValuesEducationVerification
      type: string
      enum:
        - docs-acceptable
        - psv
        - psv-first
      description: The configuration options for education verification.
      default: docs-acceptable
    ConfigValuesEmploymentVerification:
      title: ConfigValuesEmploymentVerification
      type: string
      enum:
        - docs-acceptable
        - psv
        - psv-first
      description: The configuration options for employment verification.
      default: docs-acceptable
    ConfigValuesQuantiferon:
      title: ConfigValuesQuantiferon
      type: string
      enum:
        - company-default
        - replace-with-t-spot
        - do-not-replace
      description: The options for Quantiferon substitution.
      default: company-default
    ConfigValuesTspot:
      title: ConfigValuesTspot
      type: string
      enum:
        - company-default
        - replace-with-quantiferon
        - do-not-replace
      description: The options for T-Spot substitution.
      default: company-default
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````